<?php
include('../common/parseargs.php');


include('../common/basicargcheck.php');

$USAGE=" --policyid=<policyid> ";
if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$POLICYID=$args_array['policyid'];


if (strlen($POLICYID) < 1) {
        echo "ERROR: --policyid=<policyid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}


try{
	$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response = $client->getPolicyById(array('id'=>"$POLICYID")) ;
	var_dump($response);

	echo "Successfully executed getPolicyById\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
